> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stickyqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Customer

> Add new customer. If the customer is created successfully , the operation returns a 200 status. If the user exists, the operation returns a 406 status.



## OpenAPI

````yaml POST /customers
openapi: 3.0.1
info:
  title: StickyQR Public API
  description: StickyQR Public API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://app.stickyqr.com/api
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Customers
  - name: Rewards
  - name: QR
paths:
  /customers:
    post:
      tags:
        - Customers
      summary: Add Customer
      description: >-
        Add new customer. If the customer is created successfully , the
        operation returns a 200 status. If the user exists, the operation
        returns a 406 status.
      operationId: addCustomer
      parameters:
        - name: x-lang
          in: header
          schema:
            type: string
            example: en
            default: en
          description: Language support
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  example: John Doe
                  description: Customer's name
                phone:
                  type: string
                  example: '+12345678999'
                  description: Customer's phone
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Customer's id
                  name:
                    type: string
                    description: Customer's name
                  phone:
                    type: string
                    description: Customer's phone
                  email:
                    type: string
                    nullable: true
                    description: Customer's email
                  balance:
                    type: number
                    description: Current balance of customer
                  lifetimePoints:
                    type: number
                    description: The cumulative points earned, excluding redeemed points
              examples:
                Successful Response:
                  value:
                    id: <string>
                    name: <string>
                    phone: <string>
                    email: <string>
                    balance: 123
                    lifetimePoints: 123
        '406':
          description: 406 - Exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: string
                  statusCode:
                    type: number
              examples:
                Exists:
                  value:
                    message: Customer already exists
                    error: Not Acceptable
                    statusCode: 406
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````